databaseChangeLog:
  - changeSet:
      id: add-recommendaction-color
      author: dom
      changes:
        - addColumn:
            columns:
              - column:
                  name: recommendation_hex_color
                  type: VARCHAR(255)
            tableName: type
  - changeSet:
      id: 11-added-dictionary_false_positive_table
      author: dom
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: dictionary_false_positive_entry_pkey
                  name: entry_id
                  type: BIGINT
              - column:
                  name: deleted
                  type: BOOLEAN
              - column:
                  name: value
                  type: VARCHAR(4000)
              - column:
                  name: version
                  type: BIGINT
              - column:
                  name: type_id
                  type: VARCHAR(255)
            tableName: dictionary_false_positive_entry
  - changeSet:
      id: 11-added-dictionary_false_positive_table-type-fk
      author: dom
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: type_id
            baseTableName: dictionary_false_positive_entry
            constraintName: dictionary_false_positive_table-type-fk-constraint
            deferrable: false
            initiallyDeferred: false
            onDelete: NO ACTION
            onUpdate: NO ACTION
            referencedColumnNames: id
            referencedTableName: type
            validate: true
  - changeSet:
      id: 11-dictionary_false_recommendation_entry_table
      author: dom
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: dictionary_false_recommendation_entry_pkey
                  name: entry_id
                  type: BIGINT
              - column:
                  name: deleted
                  type: BOOLEAN
              - column:
                  name: value
                  type: VARCHAR(4000)
              - column:
                  name: version
                  type: BIGINT
              - column:
                  name: type_id
                  type: VARCHAR(255)
            tableName: dictionary_false_recommendation_entry
  - changeSet:
      id: 11-dictionary_false_recommendation_entry_table-type-fk
      author: dom
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: type_id
            baseTableName: dictionary_false_recommendation_entry
            constraintName: dictionary_false_recommendation_entry_table-type-fk-constraint
            deferrable: false
            initiallyDeferred: false
            onDelete: NO ACTION
            onUpdate: NO ACTION
            referencedColumnNames: id
            referencedTableName: type
            validate: true
  - changeSet:
      id: rename-type-table-to-entity
      author: dom
      changes:
        - renameTable:
            oldTableName: type
            newTableName: entity
  - changeSet:
      id: added-dictionaryEntryType-to-manual-redaction
      author: dom
      changes:
        - addColumn:
            columns:
              - column:
                  name: dictionary_entry_type
                  type: VARCHAR(255)
                  defaultValue: ENTRY
            tableName: manual_redaction